# class ErrorCache

###

Module | soprano
Namespace | Soprano::Error
Class | ErrorCache
Inherits |

### methods

- ErrorCache ( )

  returns ctor

- clearError ( )

  returns Nothing

  Reset the error for the current thread to no error.

- lastError ( )

  returns Soprano.Error.Error

  Get the last error that occured in the current thread.

- setError (a0)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  a0 | Soprano.Error.Error |

  Set the last occured error. This method is const to allow setting of errors in all types of methods. The last error is as such a mutable property.

- setError (errorMessage, code)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  errorMessage | QString |
  code | int | ErrorUnknown

  Convenience method to set simple string error messages with a default error code ErrorUnknown.